Skip to content
You're viewing documentation for v2026.11.11-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Trigger a server backup

Trigger a pgbackrest backup on a server.

POST/api/v1/servers/{id}/backup
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Request body
requiredapplication/json
repointeger<int64>
stanzastring
typestring
Responses
202

Accepted

repointeger<int64>
stanzastringrequired
statusstringrequired
typestringrequired
workflow_idstringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/servers/string/backup' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "repo": 0,
  "stanza": "string",
  "type": "string"
}'
Response
{
  "repo": 0,
  "stanza": "string",
  "status": "string",
  "type": "string",
  "workflow_id": "string"
}